I Think I understood what you said, Your Update.RPF is {example} 1.44 but the Update Rpf in the Mods folder is 1.43 and it crashes because of 2 different update.RPF versions? I Think that you need to update the "mods" folder update by copying the new DLC name in the dlclist file in the mods folder? { I'm just guessing, I'm not responsible for anything}